import request from '@/utils/request'
import { upFilse } from '@/utils/request';

// 订单统计信息
export function orderData(data) {
	return request({
		url: '/api/order/data',
		method: 'get',
		data
	});
}

// 获取用户信息
export function getUserInfo(data) {
	return request({
		url: '/api/userinfo',
		method: 'get',
		data
	});
}

// 用户分享图
export function spreadBanner(data) {
	return request({
		url: '/api/spread/banner',
		method: 'get',
		data
	});
}

// 获取地址列表
export function getAddressList(data) {
	return request({
		url: '/api/address/list',
		method: 'get',
		data
	});
}
// 修改地址
export function addressEdit(data) {
	return request({
		url: '/api/address/edit',
		method: 'post',
		data
	});
}
// 删除地址
export function addressDel(data) {
	return request({
		url: '/api/address/del',
		method: 'post',
		data
	});
}
// 设为默认地址
export function setAddressDefault(data) {
	return request({
		url: '/api/address/default/set',
		method: 'post',
		data
	});
}
// 购物车列表
export function getCartList(data) {
	return request({
		url: '/api/cart/list',
		method: 'get',
		data
	});
}

// 修改购物车数量
export function getCartNum(data) {
	return request({
		url: '/api/cart/num',
		method: 'post',
		data
	});
}
//删除购物车
export function cartDel(data) {
	return request({
		url: '/api/cart/del',
		method: 'post',
		data
	});
}
//获取收藏夹列表
export function getcollectList(data) {
	return request({
		url: '/api/collect/user',
		method: 'get',
		data
	});
}
// 取消收藏
export function delcollect(data) {
	return request({
		url: '/api/collect/del',
		method: 'post',
		data
	});
}

//上传图片
export function upload(data){
	return upFilse({
		url:'/api/upload/image',
		method:'post',
		data
	})
}

//用户修改信息
export function edit(data) {
	return request({
		url: '/api/user/edit',
		method: 'post',
		data
	});
}

// 推广的人数
export function getSpreadPeople(data){
	return request({
		url:'/api/spread/people',
		method:'post',
		data
	})
}
//我的会员
export function getMyTvillage(data){
	return request({
		url:'/api/mytvillage',
		method:'get',
		data
	})
}

//推广佣金/提现总和 
//3=佣金,4=提现
export function getSpreadCount(data,type) {
	return request({
		url:'/api/spread/count/'+type,
		method:'get',
		data
	})
}
//我的实体店
export function getMyStore(data) {
	return request({
		url:'/api/mystore',
		method:'get',
		data
	})
}

//申请会员 店长
export function enter(data) {
	return request({
		url:'/api/enter',
		method:'post',
		data
	})
}

//编辑门店
export function editStore(data) {
	return request({
		url:'/api/store_edit',
		method:'post',
		data
	})
}